﻿using System;
using System.Collections.Generic;
using Godot;

namespace TBL.GodotSharp.Content;

/// <summary>
/// 资源包节点
/// </summary>
public abstract partial class Package : Node
{
    /// <summary>
    /// 自身信息
    /// </summary>
    public readonly Info SelfInfo;

    /// <summary>
    /// 依赖项信息集
    /// </summary>
    public readonly ICollection<DependencyInfo> Dependencies;
}